package com.example.demo.common;

import pers.jc.sql.CURD;

import java.util.HashMap;
import java.util.Map;

/**
 * 全局变量
 */
public class GlobalRoot {
    public static CURD db;

    public static void init()
    {
        initDatabase();
    }

    private static void initDatabase() {
        Map<String, Object> config = new HashMap<>();
        if (GlobalConfig.isLinux) {
            if (GlobalConfig.serverConfig.getServerIndex() == -1) {
                //如果是网关服务器，就通过内网连接数据库，因为都是腾讯云的香港服务器
                config.put("host", "localhost");
                config.put("port", 3306);
            } else {
                config.put("host", "hk-cdb-bee6kti9.sql.tencentcdb.com");
                config.put("port", 63299);
            }
            config.put("username", "root");
            config.put("password", "smartbow2022@");
        }

        //本地测试云数据库
//        config.put("host", "hk-cdb-bee6kti9.sql.tencentcdb.com");
//        config.put("port", 63299);
//        config.put("username", "root");
//        config.put("password", "smartbow2022@");

        config.put("database", "smart_bow");
        GlobalRoot.db = new CURD(config);
    }
}
